Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class Contacts_OutlookFolderContact
    Inherits BaseObject

    Private _EntryID As String
    Private _FolderName As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <ImmediatePostData()> _
    Public Property EntryID() As String
        Get
            Return _EntryID
        End Get
        Set(ByVal value As String)
            SetPropertyValue("EntryID", _EntryID, value)
        End Set
    End Property
    <ImmediatePostData()> _
    Public Property FolderName() As String
        Get
            Return _FolderName
        End Get
        Set(ByVal value As String)
            SetPropertyValue("FolderName", _FolderName, value)
        End Set
    End Property


End Class
